using System;
using System.Windows.Forms;
using VideoCaptureLibrary;

namespace VideoCaptureLibraryDemo
{
    public partial class AudioFormatDialog : Form
    {
        public AudioFormatDialog()
        {
            InitializeComponent();
            okButton.DialogResult = DialogResult.OK;
            cancelButton.DialogResult = DialogResult.Cancel;
        }

        public void GetData(out VideoCaptureDevice.BitsPerSample bitsPerSample, out VideoCaptureDevice.WaveChannels channels, out int samplesPerSecond)
        {
            switch (bitsPerSampleComboBox.SelectedItem.ToString())
            {
                case "8-Bits":
                    bitsPerSample = VideoCaptureDevice.BitsPerSample.Samples8Bits;
                    break;
                case "16-Bits":
                    bitsPerSample = VideoCaptureDevice.BitsPerSample.Samples16Bits;
                    break;
                default:
                    bitsPerSample = VideoCaptureDevice.BitsPerSample.Samples16Bits;
                    break;
            }
            switch (channelsComboBox.SelectedItem.ToString())
            {
                case "Mono":
                    channels = VideoCaptureDevice.WaveChannels.Mono;
                    break;
                case "Stereo":
                    channels = VideoCaptureDevice.WaveChannels.Stereo;
                    break;
                default:
                    channels = VideoCaptureDevice.WaveChannels.Stereo;
                    break;
            }
            samplesPerSecond = int.Parse(samplesPerSecondComboBox.SelectedItem.ToString());
        }

        public void SetData(VideoCaptureDevice.BitsPerSample bitsPerSample, VideoCaptureDevice.WaveChannels channels, int samplesPerSecond)
        {
            switch (bitsPerSample)
            {
                case VideoCaptureDevice.BitsPerSample.Samples8Bits:
                    bitsPerSampleComboBox.SelectedItem = "8-Bits";
                    break;
                case VideoCaptureDevice.BitsPerSample.Samples16Bits:
                    bitsPerSampleComboBox.SelectedItem = "16-Bits";
                    break;
                default:
                    bitsPerSampleComboBox.SelectedItem = "16-Bits";
                    break;
            }
            switch (channels)
            {
                case VideoCaptureDevice.WaveChannels.Mono:
                    channelsComboBox.SelectedItem = "Mono";
                    break;
                case VideoCaptureDevice.WaveChannels.Stereo:
                    channelsComboBox.SelectedItem = "Stereo";
                    break;
                default:
                    channelsComboBox.SelectedItem = "Stereo";
                    break;
            }
            samplesPerSecondComboBox.SelectedItem = samplesPerSecond.ToString();
        }
    }
}