using System;
using System.Windows.Forms;

namespace VideoCaptureLibraryDemo
{
    public partial class CaptureTimeLimitDialog : Form
    {
        public CaptureTimeLimitDialog()
        {
            InitializeComponent();
            okButton.DialogResult = DialogResult.OK;
            cancelButton.DialogResult = DialogResult.Cancel;
        }

        public void GetData(out bool useCaptureTimeLimit, out int captureTimeLimit)
        {
            useCaptureTimeLimit = useCaptureTimeLimitCheckBox.Checked;
            captureTimeLimit = int.Parse(hoursComboBox.SelectedItem.ToString()) * 3600 + int.Parse(minutesComboBox.SelectedItem.ToString()) * 60 + int.Parse(secondsComboBox.SelectedItem.ToString());
        }

        public void SetData(bool useCaptureTimeLimit, int captureTimeLimit)
        {
            useCaptureTimeLimitCheckBox.Checked = useCaptureTimeLimit;
            int hours = captureTimeLimit / 3600;
            int minutes = captureTimeLimit / 60 % 60;
            int seconds = captureTimeLimit % 60;
            hoursComboBox.SelectedItem = hours.ToString("D2");
            minutesComboBox.SelectedItem = minutes.ToString("D2");
            secondsComboBox.SelectedItem = seconds.ToString("D2");
        }
    }
}